%define name wampager
%define version 0.9.3
%define release 1mdk

Summary: Waimea mini pager
Name: %name
Version: %version
Release: %release
License: GPL
Group: Graphical desktop/Other
URL: http://www.cs.umu.se/~c99drn/waimea/
#URL: http://www.waimea.org
Source: %{name}-%{version}.tar.bz2
Patch1: wampager-0.9.3-fixwarn.patch.bz2
BuildRoot: %_tmppath/%{name}-buildroot
BuildRequires: XFree86-devel
Requires: waimea
%define         __prefix        /usr/X11R6
%define         __bindir        %{__prefix}/bin

%description
Wampager is fast mini pager that runs as a dock applet

%prep
%setup -q
%patch1 -p1 -b .fixwarn

%build
%configure
%make CFLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT%{__bindir}/
install -m 755 wampager $RPM_BUILD_ROOT%{__bindir}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING
%__bindir/*

%changelog
* Fri Jun 04 2004 Marcel Pol <mpol@mandrake.org> 0.9.3-1mdk
- 0.9.3
- update patch1 from waimea.src.rpm
- run configure
- prefix is /usr/X11R6

* Tue May 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.1-3mdk
- buildrequires

* Sun Feb 02 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.1-2mdk
- rebuild

* Wed Nov 20 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.1-1mdk
- from blokkie (blokkie@mandrake.kicks-ass.net) :
	- first build
